<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>laravel/laravel</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism-okaidia.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.css">
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">laravel/laravel</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
                    <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/app.html">App</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/app-actions.html">Actions</a>
                
            </li>
                    <li>
                <a href="namespaces/app-console.html">Console</a>
                
            </li>
                    <li>
                <a href="namespaces/app-exceptions.html">Exceptions</a>
                
            </li>
                    <li>
                <a href="namespaces/app-facade.html">Facade</a>
                
            </li>
                    <li>
                <a href="namespaces/app-http.html">Http</a>
                
            </li>
                    <li>
                <a href="namespaces/app-mail.html">Mail</a>
                
            </li>
                    <li>
                <a href="namespaces/app-models.html">Models</a>
                
            </li>
                    <li>
                <a href="namespaces/app-providers.html">Providers</a>
                
            </li>
                    <li>
                <a href="namespaces/app-setting.html">Setting</a>
                
            </li>
                    <li>
                <a href="namespaces/app-view.html">View</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/database.html">Database</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/database-factories.html">Factories</a>
                
            </li>
                    <li>
                <a href="namespaces/database-seeders.html">Seeders</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/packages.html">Packages</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/packages-explorer.html">Explorer</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-filemanager.html">FileManager</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-form.html">Form</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-layer.html">Layer</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-metadatagis.html">MetadataGis</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-pages.html">Pages</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-statistic.html">Statistic</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/tests.html">Tests</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/tests-feature.html">Feature</a>
                
            </li>
                    <li>
                <a href="namespaces/tests-unit.html">Unit</a>
                
            </li>
            </ul>

                        </section>
                <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Application.html">Application</a></h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Geonodo.html">Geonodo</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="packages/Geonodo-Components.html">Components</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Packages.html">Packages</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="packages/Packages-MetadataGis.html">MetadataGis</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Laravel.html">Laravel</a></h4>

                        </section>
            
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/packages.html">Packages</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/packages-metadatagis.html">MetadataGis</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/packages-metadatagis-src.html">src</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/packages-metadatagis-src-http.html">Http</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/packages-metadatagis-src-http-requests.html">Requests</a></li>
    </ul>

    <article class="phpdocumentor-element -class">
        <h2 class="phpdocumentor-content__title">
    StoreMetadataGisRequest

        <span class="phpdocumentor-element__extends">
        extends <abbr title="\Illuminate\Foundation\Http\FormRequest">FormRequest</abbr>
    </span>
    
            <div class="phpdocumentor-element__package">
            in package
            <ul class="phpdocumentor-breadcrumbs">
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/Application.html">Application</a></li>
                            </ul>
        </div>
    
    
    </h2>

        <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">12</span>

    </aside>

        
    <section class="phpdocumentor-description"></section>








<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_PROFILE_19115">PROFILE_19115</a>
    <span>
        &nbsp;= &#039;19115&#039;                    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_PROFILE_19115_2">PROFILE_19115_2</a>
    <span>
        &nbsp;= &#039;19115-2&#039;                    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_PROFILE_19119">PROFILE_19119</a>
    <span>
        &nbsp;= &#039;19119&#039;                    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_PROFILE_LAMPV2">PROFILE_LAMPV2</a>
    <span>
        &nbsp;= &#039;lampv2&#039;                    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_PROFILE_NCH19115">PROFILE_NCH19115</a>
    <span>
        &nbsp;= &#039;NCh19115&#039;                    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_REQUIRED_DATE_FORMAT_Y_M_D">REQUIRED_DATE_FORMAT_Y_M_D</a>
    <span>
        &nbsp;= &#039;required|date_format:Y-m-d&#039;                    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_REQUIRED_INTEGER">REQUIRED_INTEGER</a>
    <span>
        &nbsp;= &#039;required|integer&#039;                    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_REQUIRED_NUMERIC">REQUIRED_NUMERIC</a>
    <span>
        &nbsp;= [&#039;required&#039;, &#039;numeric&#039;]                    </span>
</dt>
<dd></dd>

                    <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_authorize">authorize()</a>
    <span>
                        &nbsp;: bool    </span>
</dt>
<dd>Determine if the user is authorized to make this request.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_messages">messages()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_persist">persist()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_rules">rules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Get the validation rules that apply to the request.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addConstraintsRules">addConstraintsRules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addDataQualityRules">addDataQualityRules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addDistributionInfoRules">addDistributionInfoRules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addGeneralRules">addGeneralRules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addIdentificationExtentRules">addIdentificationExtentRules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addIdentificationRules">addIdentificationRules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addKeywordsRules">addKeywordsRules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addServiceRules">addServiceRules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_get19115_2Rules">get19115_2Rules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_get19115Rules">get19115Rules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_get19119Rules">get19119Rules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_getAcquisitionInformationRules">getAcquisitionInformationRules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_getContentInfoRules">getContentInfoRules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_getNch19115Rules">getNch19115Rules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd></dd>

        </dl>



        
    <section class="phpdocumentor-constants">
        <h3 class="phpdocumentor-elements__header" id="constants">
            Constants
            <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constants" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_PROFILE_19115">
        PROFILE_19115
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_PROFILE_19115" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">20</span>

    </aside>

    
    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">PROFILE_19115</span>
    = <span class="phpdocumentor-signature__default-value">&#039;19115&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_PROFILE_19115_2">
        PROFILE_19115_2
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_PROFILE_19115_2" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">18</span>

    </aside>

    
    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">PROFILE_19115_2</span>
    = <span class="phpdocumentor-signature__default-value">&#039;19115-2&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_PROFILE_19119">
        PROFILE_19119
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_PROFILE_19119" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">19</span>

    </aside>

    
    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">PROFILE_19119</span>
    = <span class="phpdocumentor-signature__default-value">&#039;19119&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_PROFILE_LAMPV2">
        PROFILE_LAMPV2
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_PROFILE_LAMPV2" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">21</span>

    </aside>

    
    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">PROFILE_LAMPV2</span>
    = <span class="phpdocumentor-signature__default-value">&#039;lampv2&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_PROFILE_NCH19115">
        PROFILE_NCH19115
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_PROFILE_NCH19115" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">17</span>

    </aside>

    
    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">PROFILE_NCH19115</span>
    = <span class="phpdocumentor-signature__default-value">&#039;NCh19115&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_REQUIRED_DATE_FORMAT_Y_M_D">
        REQUIRED_DATE_FORMAT_Y_M_D
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_REQUIRED_DATE_FORMAT_Y_M_D" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">14</span>

    </aside>

    
    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">REQUIRED_DATE_FORMAT_Y_M_D</span>
    = <span class="phpdocumentor-signature__default-value">&#039;required|date_format:Y-m-d&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_REQUIRED_INTEGER">
        REQUIRED_INTEGER
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_REQUIRED_INTEGER" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">15</span>

    </aside>

    
    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">REQUIRED_INTEGER</span>
    = <span class="phpdocumentor-signature__default-value">&#039;required|integer&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_REQUIRED_NUMERIC">
        REQUIRED_NUMERIC
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#constant_REQUIRED_NUMERIC" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">16</span>

    </aside>

    
    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">REQUIRED_NUMERIC</span>
    = <span class="phpdocumentor-signature__default-value">[&#039;required&#039;, &#039;numeric&#039;]</span>
</code>


        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
            </section>

        

            <section class="phpdocumentor-methods">
        <h3 class="phpdocumentor-elements__header" id="methods">
            Methods
            <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#methods" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_authorize">
        authorize()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_authorize" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">28</span>

    </aside>

        <p class="phpdocumentor-summary">Determine if the user is authorized to make this request.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">authorize</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">bool</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">bool</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_messages">
        messages()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_messages" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">83</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">messages</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_persist">
        persist()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_persist" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">410</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">persist</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$metadataGis</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$metadataGis</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">throws</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                                                <span class="phpdocumentor-tag-link"><abbr title="\Throwable">Throwable</abbr></span>
                                                            
                                             
                                    </dd>
                        </dl>

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_rules">
        rules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_rules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">39</span>

    </aside>

        <p class="phpdocumentor-summary">Get the validation rules that apply to the request.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">rules</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_addConstraintsRules">
        addConstraintsRules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addConstraintsRules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">326</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">addConstraintsRules</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$rulesArray</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$rulesArray</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_addDataQualityRules">
        addDataQualityRules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addDataQualityRules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">388</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">addDataQualityRules</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$rulesArray</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$rulesArray</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_addDistributionInfoRules">
        addDistributionInfoRules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addDistributionInfoRules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">367</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">addDistributionInfoRules</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$rulesArray</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$rulesArray</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_addGeneralRules">
        addGeneralRules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addGeneralRules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">285</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">addGeneralRules</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_addIdentificationExtentRules">
        addIdentificationExtentRules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addIdentificationExtentRules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">346</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">addIdentificationExtentRules</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$rulesArray</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$rulesArray</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_addIdentificationRules">
        addIdentificationRules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addIdentificationRules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">420</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">addIdentificationRules</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$rulesArray</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$rulesArray</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_addKeywordsRules">
        addKeywordsRules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addKeywordsRules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">305</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">addKeywordsRules</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$rulesArray</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$rulesArray</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_addServiceRules">
        addServiceRules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_addServiceRules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">479</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">addServiceRules</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$rulesArray</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$rulesArray</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_get19115_2Rules">
        get19115_2Rules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_get19115_2Rules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">206</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">get19115_2Rules</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_get19115Rules">
        get19115Rules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_get19115Rules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">177</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">get19115Rules</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_get19119Rules">
        get19119Rules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_get19119Rules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">195</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">get19119Rules</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getAcquisitionInformationRules">
        getAcquisitionInformationRules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_getAcquisitionInformationRules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">525</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">getAcquisitionInformationRules</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$rulesArray</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$rulesArray</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getContentInfoRules">
        getContentInfoRules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_getContentInfoRules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">499</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">getContentInfoRules</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$rulesArray</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$rulesArray</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getNch19115Rules">
        getNch19115Rules()
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#method_getNch19115Rules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php"><a href="files/packages-metadatagis-src-http-requests-storemetadatagisrequest.html"><abbr title="packages/MetadataGis/src/Http/Requests/StoreMetadataGisRequest.php">StoreMetadataGisRequest.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">233</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">getNch19115Rules</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
            </section>

        
    <script type="text/javascript">
        function loadExternalCodeSnippets(line) {
            Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach((pre) => {
                var src = pre.getAttribute('data-src').replace( /\\/g, '/');
                var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
                var language = 'php';

                var code = document.createElement('code');
                code.className = 'language-' + language;

                pre.textContent = '';

                pre.setAttribute('data-line', line)
                code.textContent = 'Loading…';

                pre.appendChild(code);

                var xhr = new XMLHttpRequest();

                xhr.open('GET', src, true);

                xhr.onreadystatechange = function () {
                    if (xhr.readyState == 4) {

                        if (xhr.status < 400 && xhr.responseText) {
                            code.textContent = xhr.responseText;

                            Prism.highlightElement(code);
                        }
                        else if (xhr.status >= 400) {
                            code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                        }
                        else {
                            code.textContent = '✖ Error: File does not exist, is empty or trying to view from localhost';
                        }
                    }
                };

                xhr.send(null);
            });
        }

        var modals = document.querySelectorAll("[data-modal]");

        modals.forEach(function (trigger) {
            trigger.addEventListener("click", function (event) {
                //event.preventDefault();
                const modal = document.getElementById(trigger.dataset.modal);
                modal.classList.add("phpdocumentor-modal__open");
                loadExternalCodeSnippets(trigger.dataset.line)
                const exits = modal.querySelectorAll("[data-exit-button]");
                exits.forEach(function (exit) {
                    exit.addEventListener("click", function (event) {
                        event.preventDefault();
                        modal.classList.remove("phpdocumentor-modal__open");
                    });
                });
            });
        });
    </script>

    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="classes/Packages-MetadataGis-src-Http-Requests-StoreMetadataGisRequest.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/prism.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/autoloader/prism-autoloader.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.min.js"></script>
</body>
</html>
